Subject: bug#5679: Emacs 23.1.93 pretest

From: <[email-masked]>
Date: Thu, 04 Mar 2010 20:43:57 +0300

Chong Yidong <[email-masked]> writes:

> Sergei Organov <[email-masked]> writes:
>
>> It incorrectly renders terminus oblique fonts from Debian distribution
>> (xfonts-terminus-oblique Debian package):
>>
>> -xos4-terminus-medium-o-*
>> -xos4-terminus-bold-o-*
>>
>> Small example screenshots from emacs 22.2.1 (correct rendering) and
>> emacs 23.1.93 (wrong rendering) are attached. Please notice how ugly
>> "Global Mark Ring" looks when rendered by emacs23.
>>
>> NOTE: emacs 23.1.1 also renders wrong.
>
> I can't reproduce this---see attached screenshot, taken from 23.1.93.
> Please provide an exact recipe, including the exact .Xresources
> specification you use to choose the font.

I don't use .Xresources. What I did was faces customization through
customize. The simplest reproduction I came-up with is:

$ emacs -q --no-site-file
- Move cursor to the /ABSOLUTELY NO WARRANTY/ text in the splash
  screen
- M-x customize-face <ENTER> <ENTER>
- Change "Font Family:" to "terminus"
- Select "State|Set for Current Session"
- C-x b <ENTER> to return to splash screen, and

/ABSOLUTELY NO WARRANTY/ looks like in the attached file.

Here is result of report-emacs-bug after those steps:

In GNU Emacs 23.1.93.1 (i686-pc-linux-gnu, GTK+ Version 2.18.6)
 of 2010-03-04 on osv
Windowing system distributor `The X.Org Foundation', version 11.0.10705000
configured using `configure  '--prefix=/home/osv/emacs''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<down> <down> <down> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> M-x c u s t 
o m i z e - f a c e <return> <return> <help-echo> <down-mouse-1> 
<help-echo> <mouse-movement> <drag-mouse-1> C-w t e 
r m i n u s <help-echo> <help-echo> <down-mouse-1> 
C-x b <return> M-x r e p o r t <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Creating customization items...
Creating face editor...done
Creating customization items ...done
Resetting customization items...done
Creating customization setup...done

Load-path shadows:
/home/osv/emacs/share/emacs/site-lisp/flim/md4 hides /home/osv/emacs/share/emacs/23.1.93/lisp/md4
/home/osv/emacs/share/emacs/site-lisp/flim/sha1 hides /home/osv/emacs/share/emacs/23.1.93/lisp/sha1
/home/osv/emacs/share/emacs/site-lisp/flim/hex-util hides /home/osv/emacs/share/emacs/23.1.93/lisp/hex-util
/home/osv/emacs/share/emacs/site-lisp/flim/sasl-digest hides /home/osv/emacs/share/emacs/23.1.93/lisp/net/sasl-digest
/home/osv/emacs/share/emacs/site-lisp/flim/sasl hides /home/osv/emacs/share/emacs/23.1.93/lisp/net/sasl
/home/osv/emacs/share/emacs/site-lisp/flim/sasl-cram hides /home/osv/emacs/share/emacs/23.1.93/lisp/net/sasl-cram
/home/osv/emacs/share/emacs/site-lisp/flim/hmac-def hides /home/osv/emacs/share/emacs/23.1.93/lisp/net/hmac-def
/home/osv/emacs/share/emacs/site-lisp/flim/ntlm hides /home/osv/emacs/share/emacs/23.1.93/lisp/net/ntlm
/home/osv/emacs/share/emacs/site-lisp/flim/hmac-md5 hides /home/osv/emacs/share/emacs/23.1.93/lisp/net/hmac-md5
/home/osv/emacs/share/emacs/site-lisp/flim/sasl-ntlm hides /home/osv/emacs/share/emacs/23.1.93/lisp/net/sasl-ntlm

Features:
(shadow sort mail-extr message sendmail regexp-opt ecomplete rfc822 mml
mml-sec password-cache mm-decode mm-bodies mm-encode mailcap mail-parse
rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util
netrc time-date mm-util mail-prsvr gmm-utils mailheader canlock sha1
sha1-el hex-util hashcash mail-utils emacsbug crm thingatpt cus-edit
easymenu cus-start cus-load wid-edit tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd font-setting tool-bar dnd fontset
image fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev loaddefs button minibuffer faces cus-face files
text-properties overlay md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote make-network-process
font-render-setting gtk x-toolkit x multi-tty emacs)